### Function

# AppStream ReleaseUrlKind from_string

since: 0.12.5

#### Declaration [src]

    AsReleaseUrlKind
    as_release_url_kind_from_string (
      const gchar* kind_str
    )

#### Description [src]

Converts the text representation to an enumerated value.

Available since: 0.12.5

#### Parameters

`kind_str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsReleaseUrlKind`

An `AsReleaseUrlKind` or `AS_RELEASE_URL_KIND_UNKNOWN` for unknown.